#
# spec file for package stockfish14 (Version 1.4)
#
# norootforbuild

Summary:        A very strong, UCI compatible Chess engine
Name:           stockfish14
Version:        1.4
Release:        2.3
License:        GPL v3
Group:          Amusements/Games/Board/Chess
URL:            http://github.com/mpurland/stockfish/tree/master
Source:         %{name}-git.tar.bz2
Source1:	x%{name}
Source2:	%{name}.sh
Source3:	%{name}-polyglot.sh
Source4:	%{name}.ini
Source5:	Book.bin
Source100:	%{name}.changes
Patch0:		%{name}-openSUSE-Factory-fix_linking.patch
Patch1:         stockfish-no-build-date.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-build
BuildRequires:  gcc-c++ dos2unix
AutoReqProv:    on
Recommends:	polyglot xboard

%description
Stockfish is a free UCI chess engine derived from Glaurung 2.1. It is
not a complete chess program, but requires some UCI compatible GUI
(like XBoard with PolyGlot, eboard, Jose, Arena, Sigma Chess, Shredder,
Chess Partner, or Fritz) in order to be used comfortably.  Read the
documentation for your GUI of choice for information about how to use
Stockfish with your GUI.

This version of Stockfish supports up to 8 CPUs, but has not been
tested thoroughly with more than 2.  The program tries to detect the
number of CPUs on your computer and set the number of search threads
accordingly, but please be aware that the detection is not always
correct.  It is therefore recommended to inspect the value of the
"Threads" UCI parameter, and to make sure it equals the number of CPU
cores on your computer.

Authors:
--------
		Marco Costalba mcostalba@gmail.com

		Salvo Spitaleri (opening book "Book.bin") 



%prep
%setup -q -n %{name}-git
%patch0 -p0
%patch1 -p1
dos2unix Readme.txt
dos2unix src/COPYING
chmod 0644 src/COPYING

%build
pushd src/
# use Book.bin as default book with UCI
sed -i 's/book\.bin/Book\.bin/g' search.cpp ucioption.cpp
%{__make}
popd

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 755 src/stockfish $RPM_BUILD_ROOT%{_bindir}/%{name}.bin
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/x%{name}
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/%{name}
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/%{name}-polyglot
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_datadir}/%{name}/

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc src/COPYING Readme.txt
%{_bindir}/*%{name}*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%changelog
* Thu Feb  4 2010 packman@links2linux.de - 1.4
- package moved to packman
- spec cleanup
* Mon Aug 31 2009 AxelKoellhofer@web.de - 1.4
- added a polyglot startup script (i.e. for use with xboard)
  simply typing "xboard -fcp stockfish14-polyglot" (engine = white)
  or "xboard -scp stockfish14-polyglot" (engine = black) will work
* Thu Aug 27 2009 AxelKoellhofer@web.de - 1.4
- modified startup
  The two scripts /usr/bin/stockfish14 and /usr/bin/xstockfish14
  both check if there is a $HOME/.stockfish14 directory
  containing an opening book and a polyglot ini-file;
  if not, the files are copied from /usr/share/stockfish14.
  In this way every user can run a "personalized" configuration
  as all of the configuration stuff is handled within $HOME.
* Wed Aug 26 2009 AxelKoellhofer@web.de - 1.4
- fixed wrong error message in xboard-script if polyglot is not installed
* Sun Aug 23 2009 AxelKoellhofer@web.de - 1.4
- patch for openSUSE_Factory rewritten (better fix for linking)
- various little fixes (xboard startscript and specfile)
* Fri Aug 21 2009 AxelKoellhofer@web.de - 1.4
- first build for openSUSE, version 1.4
